opam-version: "2.0"
synopsis: "Compatibility module for OCaml standard library"
description:
  "Compatibility module for OCaml standard library allowing programs to use some recent additions to the OCaml standard library while preserving the ability to be compiled on former versions of OCaml."
maintainer: "Thierry Martinez <martinez@nsup.org>"
authors: "Thierry Martinez <martinez@nsup.org>"
license: "BSD-2-Clause"
homepage: "https://github.com/thierry-martinez/stdcompat"
bug-reports: "https://github.com/thierry-martinez/stdcompat/issues"
depends: [
  "ocaml" {>= "3.07" & < "4.12.0"}
]
depopts: [ "result" "seq" "uchar" "ocamlfind" ]
build: [
  [make "-f" "Makefile.bootstrap" "-j" jobs]
  ["./configure" "--prefix=%{prefix}%"]
  [make "all" "test" {with-test}]
]
install: [make "install"]
dev-repo: "git+https://github.com/thierry-martinez/stdcompat.git"
version: "14"